# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Array/Compare.pm) perl(Benchmark.pm) perl(Bio/AlignIO.pm) perl(Bio/AnalysisI.pm) perl(Bio/Annotation/DBLink.pm) perl(Bio/Annotation/SimpleValue.pm) perl(Bio/Assembly/IO.pm) perl(Bio/Cluster/SequenceFamily.pm) perl(Bio/DB/EUtilities.pm) perl(Bio/Factory/AnalysisI.pm) perl(Bio/Factory/ApplicationFactoryI.pm) perl(Bio/FeatureIO.pm) perl(Bio/Map/Position.pm) perl(Bio/Map/Prediction.pm) perl(Bio/Matrix/IO.pm) perl(Bio/Matrix/PhylipDist.pm) perl(Bio/Root/IO.pm) perl(Bio/Root/Root.pm) perl(Bio/Root/Test.pm) perl(Bio/Search/HSP/GenericHSP.pm) perl(Bio/SearchIO.pm) perl(Bio/Seq.pm) perl(Bio/SeqFeature/FeaturePair.pm) perl(Bio/SeqFeature/Gene/Exon.pm) perl(Bio/SeqFeature/Gene/GeneStructure.pm) perl(Bio/SeqFeature/Gene/Transcript.pm) perl(Bio/SeqFeature/Generic.pm) perl(Bio/SeqIO.pm) perl(Bio/SimpleAlign.pm) perl(Bio/Species.pm) perl(Bio/Tools/AnalysisResult.pm) perl(Bio/Tools/Coil.pm) perl(Bio/Tools/Eponine.pm) perl(Bio/Tools/FootPrinter.pm) perl(Bio/Tools/GFF.pm) perl(Bio/Tools/Genemark.pm) perl(Bio/Tools/Genewise.pm) perl(Bio/Tools/Genscan.pm) perl(Bio/Tools/Glimmer.pm) perl(Bio/Tools/Match.pm) perl(Bio/Tools/Phylo/Gerp.pm) perl(Bio/Tools/Phylo/Gumby.pm) perl(Bio/Tools/Phylo/Molphy.pm) perl(Bio/Tools/Phylo/PAML.pm) perl(Bio/Tools/Phylo/Phylip/ProtDist.pm) perl(Bio/Tools/Primer3.pm) perl(Bio/Tools/Prints.pm) perl(Bio/Tools/Profile.pm) perl(Bio/Tools/Promoterwise.pm) perl(Bio/Tools/Pseudowise.pm) perl(Bio/Tools/RepeatMasker.pm) perl(Bio/Tools/Run/WrapperBase.pm) perl(Bio/Tools/Seg.pm) perl(Bio/Tools/Signalp.pm) perl(Bio/Tools/Sim4/Results.pm) perl(Bio/Tools/Tmhmm.pm) perl(Bio/Tools/tRNAscanSE.pm) perl(Bio/Tree/Tree.pm) perl(Bio/TreeIO.pm) perl(Bio/WebAgent.pm) perl(Clone.pm) perl(Config.pm) perl(English.pm) perl(Exporter.pm) perl(HTTP/Request/Common.pm) perl(IO/String.pm) perl(LWP.pm) perl(SOAP/Lite.pm) perl(Symbol.pm) perl(Tree/DAG_Node.pm) perl(threads.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-bioperl-run
Version:        1.6.1
Release:        alt1_13
Summary:        Modules to provide a Perl interface to various bioinformatics applications

Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://bioperl.org
Source0:        http://bioperl.org/DIST/BioPerl-run-%{version}.tar.bz2

BuildArch:      noarch
BuildRequires:  perl(Bio/Root/Version.pm)
BuildRequires:  perl(Algorithm/Diff.pm)
BuildRequires:  perl(XML/Parser/PerlSAX.pm)
BuildRequires:  perl(IPC/Run.pm)
BuildRequires:  perl(HTML/Parser.pm)
BuildRequires:  perl(Module/Build.pm)
Source44: import.info

%description
Bioperl-run contain modules that provide a Perl interface to various
bioinformatics applications. This allows various applications to be
used with common Bioperl objects.

%prep
# note that archive and tarball version numbers don't quite match in this release
%setup -q -n BioPerl-run-1.6.0

# remove all execute bits from the doc stuff
chmod -x INSTALL INSTALL.PROGRAMS

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir --installdirs vendor << EOF
a
EOF

./Build

%install
perl Build pure_install --destdir=$RPM_BUILD_ROOT

# remove some spurious files
find $RPM_BUILD_ROOT -type f -a \( -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
# remove errant execute bit from the .pm's
find $RPM_BUILD_ROOT -type f -name '*.pm' -exec chmod -x {} 2>/dev/null ';'
# correct all binaries in /usr/bin to be 0755
find $RPM_BUILD_ROOT/%{_bindir} -type f -name '*.pl' -exec chmod 0755 {} 2>/dev/null ';'

%check
%{?_with_check:./Build test || :}

%files
## don't distribute "doc" "scripts" subdirectories, they don't contain docs
%doc AUTHORS Changes INSTALL INSTALL.PROGRAMS README
%{perl_vendor_privlib}/*
%{_bindir}/*
%{_mandir}/man1/*.1*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt1_13
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt1_12
- update to new release by fcimport

* Wed May 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt1_10
- fc import

